Bug 1573537 - Right mouse click on Lenovo T440s trackpad does not work on Fedora 28 with Gnome on Xorg
Summary: Right mouse click on Lenovo T440s trackpad does not work on Fedora 28 with Gn...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: libinput
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 16:01 UTC by Flo H.
Modified: 2018-05-06 05:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-02 04:41:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Flo H. 2018-05-01 16:01:16 UTC
Description of problem:
trackpad has left and right click capabilities. Right click does not work anymore after upgrade from F27 to F28.
This is Gnome on Xorg here.
My model is Lenovo T440s but I assume this may apply to many Lenovo models.


Version-Release number of selected component (if applicable):
Not sure I selected the right component (if so, then libinput-1.10.4-2.fc28)


How reproducible:
always

Steps to Reproduce:
1. Boot
2. Login
3. Try right-click anywhere

Actual results:
No action

Expected results:
Context menus and so on

Additional info:

Comment 1 Flo H. 2018-05-01 19:24:15 UTC
FYI: Update to v 1.10.5-3.fc28 from `updates-testing` [1] does not solve the problem.

[1]: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3b4b474aab

Comment 2 Peter Hutterer 2018-05-02 04:41:04 UTC
I'm assuming it's this one:

https://who-t.blogspot.com.au/2018/04/gnome-328-uses-clickfinger-behaviour-by.html

Comment 3 Flo H. 2018-05-02 13:17:28 UTC
Of course, it was this one. Sorry for not doing the research on my end. And thanks devs for this feature!

Comment 4 D. Hugh Redelmeier 2018-05-06 05:46:07 UTC
I wasted some time on this too.  I thought that my cheap netbook had a hardware failure.  Booting a live Fedora 27 stick showed me that the hardware remained fine.

Playing with libinput-debug-events showed that libinput was still seeing right-clicks.

I'd say that this Gnome default change is a bug in the release notes for Fedora 28.  Behaviour that changes in a surprising way should come with a warning and an explanation.

The fact that you need the tweak tool add-on to provide a graphical way configure the behaviour is an unfortunate feature of Gnome.

(I do seem to have gained a way to middle-click, and that is great!)


Note You need to log in before you can comment on or make changes to this bug.